Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynValueBoxOperations

All Superinterfaces:
  DynAnyOperations, DynValueCommonOperations

All Known Subinterfaces:
  DynValueBox

    public interface DynValueBoxOperations

extends DynValueCommonOperations

DynValueBox objects support the manipulation of IDL boxed value types. The DynValueBox interface can represent both null and non-null value types. For a DynValueBox representing a non-null value type, the DynValueBox has a single component of the boxed type. A DynValueBox representing a null value type has no components and a current position of -1.

Method Summary
`DynAny` | `get_boxed_value_as_dyn_any()` Returns the boxed value as a DynAny.
`Any` | `get_boxed_value()` Returns the boxed value as an Any.
`void` | `set_boxed_value_as_dyn_any(DynAny boxed)` Replaces the boxed value with the value contained in the parameter.
`void` | `set_boxed_value(Any boxed)` Replaces the boxed value with the specified value.

Methods inherited from interface org.omg.DynamicAny.DynValueCommonOperations
`is_null, set_to_null, set_to_value`

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_boxed_value

    Any get_boxed_value()
                        throws InvalidValue

  Returns the boxed value as an Any.

  Throws:
    `InvalidValue` - if this object represents a null value box type

### set_boxed_value

    void set_boxed_value(Any boxed)
                         throws TypeMismatch

  Replaces the boxed value with the specified value. If the DynBoxedValue represents a null valuetype, it is converted to a non-null value.

  Throws:
    `TypeMismatch` - if this object represents a non-null value box type and the type of the parameter is not matching the current boxed value type.

### get_boxed_value_as_dyn_any

    DynAny get_boxed_value_as_dyn_any()
                                      throws InvalidValue

  Returns the boxed value as a DynAny.

  Throws:
    `InvalidValue` - if this object represents a null value box type

### set_boxed_value_as_dyn_any

    void set_boxed_value_as_dyn_any(DynAny boxed)
                                    throws TypeMismatch

  Replaces the boxed value with the value contained in the parameter. If the DynBoxedValue represents a null valuetype, it is converted to a non-null value.

  Throws:
    `TypeMismatch` - if this object represents a non-null value box type and the type of the parameter is not matching the current boxed value type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.